/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package Controller;

import Dao.FamerDetailsUpdationDao;
import LoginDb.DbHandler;
import java.io.IOException;
import java.io.PrintWriter;
import java.sql.CallableStatement;
import java.sql.Connection;
import java.sql.SQLException;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import DataEntryBean.BatchProcessingBean;
import DataEntryBean.FarmerDetailsBean;
import java.sql.BatchUpdateException;
import java.sql.ResultSet;
import java.sql.Statement;
import java.util.ArrayList;

/**
 *
 * @author 594267
 */
public class FarmerDetailsUpdationServlet extends HttpServlet {

    /**
     * Processes requests for both HTTP <code>GET</code> and <code>POST</code> methods.
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    protected void processRequest(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        response.setContentType("text/html;charset=UTF-8");
        PrintWriter out = response.getWriter();
        try {
            /* TODO output your page here
            out.println("<html>");
            out.println("<head>");
            out.println("<title>Servlet BatchTransactionServlet</title>");
            out.println("</head>");
            out.println("<body>");
            out.println("<h1>Servlet BatchTransactionServlet at " + request.getContextPath () + "</h1>");
            out.println("</body>");
            out.println("</html>");
             */
        } finally {
            out.close();
        }
    }

    // <editor-fold defaultstate="collapsed" desc="HttpServlet methods. Click on the + sign on the left to edit the code.">
    /**
     * Handles the HTTP <code>GET</code> method.
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }

    /**
     * Handles the HTTP <code>POST</code> method.
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {

        HttpSession session = request.getSession(false);

        String message = "";
        String pacsId = (String) session.getAttribute("pacsId");
        String user = (String) session.getAttribute("user");
        FarmerDetailsBean farmerLandDet=null;
        ArrayList<FarmerDetailsBean> alFarmerDetList = new ArrayList<FarmerDetailsBean>();

            int counter = Integer.parseInt(request.getParameter("rowCounter"));
           // String cifNo = request.getParameter("cifNumber");
            for (int i = 1; i <= counter; i++) {
                try {
                    farmerLandDet = new FarmerDetailsBean();
                   // farmerLandDet.setManja(request.getParameter("manja" + i));
                   // farmerLandDet.setDgNo(request.getParameter("dgNo" + i));
                   // farmerLandDet.setgP(request.getParameter("GP" + i));
                   // farmerLandDet.setVillage(request.getParameter("village" + i));
                   // farmerLandDet.setKhatiyan(request.getParameter("Khatiyan" + i));
                   // farmerLandDet.setArea(Double.parseDouble(request.getParameter("area" + i)));
                    alFarmerDetList.add(farmerLandDet);
                } catch (Exception e) {
                    System.out.println("Exception occured  in farmer bean creation for cif :" + cifNo);
                } finally {
                    System.out.println("Processing done.");
                }
            }

           if (alFarmerDetList.size() > 0) {

               FamerDetailsUpdationDao fdao = new FamerDetailsUpdationDao();
               message = fdao.saveFarmerlandDetails(user, pacsId, cifNo, alFarmerDetList);
               

           }else
           {
               message ="no details received to update";
           }
   
            request.setAttribute("message", message);
            request.getRequestDispatcher("/FarmerDetailsUpdation.jsp").forward(request, response);
        

       
    }

    /**
     * Returns a short description of the servlet.
     * @return a String containing servlet description
     */
    @Override
    public String getServletInfo() {
        return "Short description";
    }// </editor-fold>
}
